Bug 227169 - www/h2o: Fix build with LibreSSL 2.7
Summary: www/h2o: Fix build with LibreSSL 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://github.com/h2o/h2o/issues/1706
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-04-01 10:29 UTC by Bernard Spil
Modified: 2018-04-22 08:46 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (dch)


Attachments
svn diff for www/h20 (2.60 KB, patch)
2018-04-01 10:29 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-04-01 10:29:03 UTC
Created attachment 192049 [details]
svn diff for www/h20

```
www/h2o: Fix build with LibreSSL 2.7

 - LibreSSL 2.7 implements OpenSSL 1.1 API
 - Use patch from upstream issue 1706

PR:
Approved by:
```
Comment 1 Bernard Spil freebsd_committer 2018-04-02 18:08:40 UTC
Link for upstream pull-request https://github.com/h2o/h2o/issues/1706
Comment 2 Dave Cottlehuber freebsd_committer 2018-04-04 13:25:09 UTC
Bernard thanks - both for the upstream patch and this one!

LGTM, but I can't test it atm as I've got no internet; have you tested this against "normal" openssl too?

Hopefully internet is back later in the week so I can do that.
Comment 3 commit-hook freebsd_committer 2018-04-21 20:39:17 UTC
A commit references this bug:

Author: brnrd
Date: Sat Apr 21 20:38:38 UTC 2018
New revision: 467906
URL: https://svnweb.freebsd.org/changeset/ports/467906

Log:
  security/trousers: Fix build with LibreSSl 2.7

   - LibreSSL 2.7 adds OpenSSL 1.1 API

  PR:		227169
  Approved by:	maintainer time-out

Changes:
  head/security/trousers/files/patch-src_trspi_crypto_openssl_rsa.c
Comment 4 commit-hook freebsd_committer 2018-04-22 08:25:36 UTC
A commit references this bug:

Author: brnrd
Date: Sun Apr 22 08:25:24 UTC 2018
New revision: 467918
URL: https://svnweb.freebsd.org/changeset/ports/467918

Log:
  www/h2o: Fix build with LibreSSL 2.7

   - LibreSSL 2.7 implements OpenSSL 1.1 API
   - Use patch from upstream issue 1706

  PR:		227169
  Approved by:	maintainer time-out

Changes:
  head/www/h2o/files/patch-issue1706